MESSAGE ("Building Yocto Linux target")
SET (OS_BRAND Linux)
SET (MBED_CLOUD_CLIENT_DEVICE x86_64)
SET (PAL_TARGET_DEVICE "Yocto_Generic")

SET (PAL_USER_DEFINED_CONFIGURATION "\"${TARGET_CONFIG_ROOT}/sotp_fs_nvidia_yocto.h\"")
SET (BIND_TO_ALL_INTERFACES 0)
SET (PAL_FS_MOUNT_POINT_PRIMARY "\"/userdata/mcc_config\"")
SET (PAL_FS_MOUNT_POINT_SECONDARY "\"/userdata/mcc_config\"")
SET (PAL_UPDATE_FIRMWARE_DIR "\"/tmp\"")
SET (ARM_UC_SOCKET_TIMEOUT_MS 300000)

SET (DEVELOPER_MODE "ON")
SET (FIRMWARE_UPDATE "ON")
SET (FACTORY_MODE "OFF")
SET (BYOC_MODE "ON")

#SET (CMAKE_BUILD_TYPE "Release")

if (${FIRMWARE_UPDATE})
  SET (MBED_CLOUD_CLIENT_UPDATE_STORAGE ARM_UCP_LINUX_YOCTO_XAVIER)
  add_definitions(-DARM_UC_FEATURE_DELTA_PAAL=0)
endif()
